GNU bug report logs - #8076
PCH support / howto

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: automake; Severity: wishlist; Reported by: Olaf van der Spek <olafvdspek@HIDDEN>; dated Fri, 18 Feb 2011 14:08:01 UTC; Maintainer for automake is bug-automake@HIDDEN.

Message received at 8076 <at> debbugs.gnu.org:


Received: (at 8076) by debbugs.gnu.org; 24 Dec 2011 15:54:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 24 10:54:20 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ReTvP-0004b9-K4
	for submit <at> debbugs.gnu.org; Sat, 24 Dec 2011 10:54:20 -0500
Received: from smtp4.stanford.edu ([171.67.219.84] helo=smtp.stanford.edu)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rra@HIDDEN>) id 1ReLNh-00085f-Qy
	for 8076 <at> debbugs.gnu.org; Sat, 24 Dec 2011 01:46:59 -0500
Received: from smtp.stanford.edu (localhost.localdomain [127.0.0.1])
	by localhost (Postfix) with SMTP id 2370B1A547D;
	Fri, 23 Dec 2011 22:44:37 -0800 (PST)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134])
	(using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
	(No client certificate requested)
	by smtp.stanford.edu (Postfix) with ESMTPS id BB33B1A5473;
	Fri, 23 Dec 2011 22:44:36 -0800 (PST)
Received: by windlord.stanford.edu (Postfix, from userid 1000)
	id 939A12F60C; Fri, 23 Dec 2011 22:44:36 -0800 (PST)
From: Russ Allbery <rra@HIDDEN>
To: 8076 <at> debbugs.gnu.org,  automake@HIDDEN
Subject: Re: PCH support
In-Reply-To: <CAGVGHmvmsGR_Lni4ueviSXywHbpQqmAtdfUvO67cuX383TBrwA@HIDDEN>
	(Olaf van der Spek's message of "Fri, 23 Dec 2011 23:10:12 +0100")
Organization: The Eyrie
References: <CAGVGHmv8s00JVML--0idYO+cXmhqROu3Jvw=iYdN4cYobRQukw@HIDDEN>
	<4EF4B078.6030404@HIDDEN>
	<CAGVGHmvmsGR_Lni4ueviSXywHbpQqmAtdfUvO67cuX383TBrwA@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.3 (gnu/linux)
Date: Fri, 23 Dec 2011 22:44:36 -0800
Message-ID: <87wr9mwjsb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: 8076
X-Mailman-Approved-At: Sat, 24 Dec 2011 10:54:11 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

Olaf van der Spek <ml@HIDDEN> writes:

> Why not? It can drastically reduce build times of C++ projects. I have
> little experience with C projects, but I assume it speeds those up as
> well.

It's unlikely to help a great deal with most C projects, since most C
headers just aren't very complicated and other parts of the compilation
process dominate the time.  C++ is significantly different than C in how
much complexity it puts into its headers.

-- 
Russ Allbery (rra@HIDDEN)             <http://www.eyrie.org/~eagle/>




Information forwarded to bug-automake@HIDDEN:
bug#8076; Package automake. Full text available.

Message received at 8076 <at> debbugs.gnu.org:


Received: (at 8076) by debbugs.gnu.org; 24 Dec 2011 15:54:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 24 10:54:19 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ReTvO-0004b1-V4
	for submit <at> debbugs.gnu.org; Sat, 24 Dec 2011 10:54:19 -0500
Received: from mail-tul01m020-f172.google.com ([209.85.214.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <ml@HIDDEN>) id 1ReDLq-00053w-Pm
	for 8076 <at> debbugs.gnu.org; Fri, 23 Dec 2011 17:12:31 -0500
Received: by obcuz6 with SMTP id uz6so5092256obc.3
	for <8076 <at> debbugs.gnu.org>; Fri, 23 Dec 2011 14:10:12 -0800 (PST)
MIME-Version: 1.0
Received: by 10.182.116.3 with SMTP id js3mr14128132obb.33.1324678212744; Fri,
	23 Dec 2011 14:10:12 -0800 (PST)
Received: by 10.182.61.162 with HTTP; Fri, 23 Dec 2011 14:10:12 -0800 (PST)
In-Reply-To: <4EF4B078.6030404@HIDDEN>
References: <CAGVGHmv8s00JVML--0idYO+cXmhqROu3Jvw=iYdN4cYobRQukw@HIDDEN>
	<4EF4B078.6030404@HIDDEN>
Date: Fri, 23 Dec 2011 23:10:12 +0100
Message-ID: <CAGVGHmvmsGR_Lni4ueviSXywHbpQqmAtdfUvO67cuX383TBrwA@HIDDEN>
Subject: Re: PCH support
From: Olaf van der Spek <ml@HIDDEN>
To: Stefano Lattarini <stefano.lattarini@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 8076
X-Mailman-Approved-At: Sat, 24 Dec 2011 10:54:11 -0500
Cc: 8076 <at> debbugs.gnu.org, automake@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

On Fri, Dec 23, 2011 at 5:46 PM, Stefano Lattarini
<stefano.lattarini@HIDDEN> wrote:
> First, I know basically nothing about PCH, and it seems to me that it is not
> a feature many users would require or employ.

Why not? It can drastically reduce build times of C++ projects. I have
little experience with C projects, but I assume it speeds those up as
well.
Conceptually, it's also simple to implement (for someone with automake
knowledge).

> Second, and more important: as you can easily see, the Automake bug tracker
> is full of bug reports with higher precedence, and of feature requests with
> potentially more widespread user bases.

Do automake users not care about build times?


-- 
Olaf




Information forwarded to bug-automake@HIDDEN:
bug#8076; Package automake. Full text available.

Message received at 8076 <at> debbugs.gnu.org:


Received: (at 8076) by debbugs.gnu.org; 24 Dec 2011 15:54:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 24 10:54:18 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ReTvO-0004av-GX
	for submit <at> debbugs.gnu.org; Sat, 24 Dec 2011 10:54:18 -0500
Received: from mail-tul01m020-f172.google.com ([209.85.214.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <ml@HIDDEN>) id 1ReDHp-0004y5-Nh
	for 8076 <at> debbugs.gnu.org; Fri, 23 Dec 2011 17:08:22 -0500
Received: by obcuz6 with SMTP id uz6so5090493obc.3
	for <8076 <at> debbugs.gnu.org>; Fri, 23 Dec 2011 14:06:03 -0800 (PST)
MIME-Version: 1.0
Received: by 10.182.13.105 with SMTP id g9mr14206343obc.63.1324677963550; Fri,
	23 Dec 2011 14:06:03 -0800 (PST)
Received: by 10.182.61.162 with HTTP; Fri, 23 Dec 2011 14:06:03 -0800 (PST)
In-Reply-To: <4EF4E9E2.207@HIDDEN>
References: <CAGVGHmv8s00JVML--0idYO+cXmhqROu3Jvw=iYdN4cYobRQukw@HIDDEN>
	<4EF4B078.6030404@HIDDEN> <4EF4E9E2.207@HIDDEN>
Date: Fri, 23 Dec 2011 23:06:03 +0100
Message-ID: <CAGVGHmt+whyLpM632x33sADeDJU_H4+q-wTOL4Y4EAR=6rd+KA@HIDDEN>
Subject: Re: PCH support
From: Olaf van der Spek <ml@HIDDEN>
To: Warren Young <warren@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 8076
X-Mailman-Approved-At: Sat, 24 Dec 2011 10:54:11 -0500
Cc: 8076 <at> debbugs.gnu.org, Automake List <automake@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

On Fri, Dec 23, 2011 at 9:51 PM, Warren Young <warren@HIDDEN> wrote:
> I think the idea is that if autoconf detects that PCH is available and
> automake generates the correct compiler commands to use it, it will be th=
ere
> "for free" to any user of the autotools. =A0Builds just get magically fas=
ter.

I don't think that's doable and it certainly shouldn't be the first goal.
Deciding which headers should go into the pch header is a manul process.

> I'm sure you care nothing for Visual C++, but most of the people begging =
for
> PCH support are probably coming from this world.

I'm not using automake to target VC. :p


--=20
Olaf




Information forwarded to bug-automake@HIDDEN:
bug#8076; Package automake. Full text available.

Message received at 8076 <at> debbugs.gnu.org:


Received: (at 8076) by debbugs.gnu.org; 24 Dec 2011 15:54:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 24 10:54:18 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ReTvN-0004ao-Q6
	for submit <at> debbugs.gnu.org; Sat, 24 Dec 2011 10:54:18 -0500
Received: from mail-tul01m020-f172.google.com ([209.85.214.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <ml@HIDDEN>) id 1ReDAw-0004oc-VQ
	for 8076 <at> debbugs.gnu.org; Fri, 23 Dec 2011 17:01:16 -0500
Received: by obcuz6 with SMTP id uz6so5087458obc.3
	for <8076 <at> debbugs.gnu.org>; Fri, 23 Dec 2011 13:58:56 -0800 (PST)
MIME-Version: 1.0
Received: by 10.182.43.10 with SMTP id s10mr10231926obl.43.1324677536709; Fri,
	23 Dec 2011 13:58:56 -0800 (PST)
Received: by 10.182.61.162 with HTTP; Fri, 23 Dec 2011 13:58:56 -0800 (PST)
In-Reply-To: <CAMbSiYDPZrh5LJu6xeAoRWUGuz2xP-egNmuz4+Fab_2+jKMovA@HIDDEN>
References: <CAGVGHmv8s00JVML--0idYO+cXmhqROu3Jvw=iYdN4cYobRQukw@HIDDEN>
	<4EF4B078.6030404@HIDDEN> <4EF4E9E2.207@HIDDEN>
	<CAMbSiYDPZrh5LJu6xeAoRWUGuz2xP-egNmuz4+Fab_2+jKMovA@HIDDEN>
Date: Fri, 23 Dec 2011 22:58:56 +0100
Message-ID: <CAGVGHmtGr_vNmw+i_hLA8xLwcqX5=iKd25K73FQ4qk-aU=Xvig@HIDDEN>
Subject: Re: PCH support
From: Olaf van der Spek <ml@HIDDEN>
To: davehart_gmail_exchange_tee@HIDDEN
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 8076
X-Mailman-Approved-At: Sat, 24 Dec 2011 10:54:11 -0500
Cc: Automake List <automake@HIDDEN>, 8076 <at> debbugs.gnu.org,
	Warren Young <warren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

On Fri, Dec 23, 2011 at 10:11 PM, Dave Hart <davehart@HIDDEN> wrote:
> Another monkey wrench is gcc and Visual C++ have different models for
> how PCH is implemented. =A0Support in Automake would ideally target both

Have they? AFAIK they're equivalent.

> by finding a compatible subset. =A0I'm sure there are existing
> open-source models that demonstrate how to use both gcc and VC
> precompiled headers. =A0As I recall, gcc support is a bit more generic
> but involves a separate PCH invocation to "compile" the headers, while
> VC++ requires precomp.h be the first item included in each
> participating file but doesn't require a separate compiler invocation
> -- the first one that can use the precomp.pch generates it.

Both have a step to generate the PCH. VC builds stdafx.h via
stdafx.cpp, GCC builds a header file directly. Both basically require
the header to be the first include for PCH to be usable.

--=20
Olaf




Information forwarded to bug-automake@HIDDEN:
bug#8076; Package automake. Full text available.

Message received at 8076 <at> debbugs.gnu.org:


Received: (at 8076) by debbugs.gnu.org; 23 Dec 2011 21:25:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 23 16:25:27 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ReCcJ-0003yt-Ba
	for submit <at> debbugs.gnu.org; Fri, 23 Dec 2011 16:25:27 -0500
Received: from mail-ee0-f44.google.com ([74.125.83.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1ReCcH-0003ym-0N
	for 8076 <at> debbugs.gnu.org; Fri, 23 Dec 2011 16:25:26 -0500
Received: by eekc14 with SMTP id c14so9470021eek.3
	for <8076 <at> debbugs.gnu.org>; Fri, 23 Dec 2011 13:23:06 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=message-id:date:from:user-agent:mime-version:to:cc:subject
	:references:in-reply-to:x-enigmail-version:content-type
	:content-transfer-encoding;
	bh=hvfteQh/Y3CBIZ7rS49wdDsDdCG/SUQPBwR8nR+sLRg=;
	b=Npyw0x8RuWfIOvqChX96NrjZ5N4KpJLf0l1Ti9KGkJ3DeU7lbxy6roWWCNdS95fqFj
	vDVSQ6ynmP5+ifzh8gsDsN0s+Du2U+F0FLmNQW4h2qohA9EgHeKEH9Y9ON40ukT98bCN
	y1lo1zuzBHFjcKLROXww8aFBA7+4QYg7pVxOY=
Received: by 10.213.29.68 with SMTP id p4mr3249336ebc.41.1324675386542;
	Fri, 23 Dec 2011 13:23:06 -0800 (PST)
Received: from [87.8.100.169]
	(host169-100-dynamic.8-87-r.retail.telecomitalia.it. [87.8.100.169])
	by mx.google.com with ESMTPS id 50sm12749921eeq.8.2011.12.23.13.23.05
	(version=SSLv3 cipher=OTHER); Fri, 23 Dec 2011 13:23:06 -0800 (PST)
Message-ID: <4EF4F137.9040004@HIDDEN>
Date: Fri, 23 Dec 2011 22:23:03 +0100
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US;
	rv:1.9.2.24) Gecko/20111114 Icedove/3.1.16
MIME-Version: 1.0
To: 8076 <at> debbugs.gnu.org
Subject: Re: PCH support
References: <CAGVGHmv8s00JVML--0idYO+cXmhqROu3Jvw=iYdN4cYobRQukw@HIDDEN>	<4EF4B078.6030404@HIDDEN>
	<4EF4E9E2.207@HIDDEN>
	<CAMbSiYDPZrh5LJu6xeAoRWUGuz2xP-egNmuz4+Fab_2+jKMovA@HIDDEN>
In-Reply-To: <CAMbSiYDPZrh5LJu6xeAoRWUGuz2xP-egNmuz4+Fab_2+jKMovA@HIDDEN>
X-Enigmail-Version: 1.1.2
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 8076
Cc: Dave Hart <davehart@HIDDEN>, Automake List <automake@HIDDEN>,
	davehart_gmail_exchange_tee@HIDDEN, Warren Young <warren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

Hi Dave.

I'm quoting your mail and CC:ing <8076 <at> debbugs.gnu.org>, so that your reply
will be registered into the proper entry of the Automake bug tracker.

Anybody, please send further replies and follow-ups to that address if possible,
so that this discussion will be properly registered.

Thanks,
  Stefano

On 12/23/2011 10:11 PM, Dave Hart wrote:
> On Fri, Dec 23, 2011 at 20:51, Warren Young <warren@HIDDEN> wrote:
>> The only important thing to know is that it's a way to make the compiler
>> dump its parse tree to disk during compilation so that it can simply reload
>> that state from disk instead of rebuilding it from scratch for each module
>> it builds.
>>
>> You might think of PCH as a similar optimization to that of a bytecode
>> compiler for a dynamic language: it doesn't get you native code, like you
>> can get with a traditional static language, but you still get a speed
>> benefit by avoiding reparsing.
>>
>> PCH is most valuable with headers like STL which are commonly used across
>> the program and are expensive to parse and reparse and re-reparse.
> 
> True, but most C/C++ #includes orders of magnitudes more lines than
> they contain themselves, so assuming the source code is rearranged to
> have a "precomp.h" containing the bulk of #includes, the compile will
> be notably faster.
> 
>> I think the idea is that if autoconf detects that PCH is available and
>> automake generates the correct compiler commands to use it, it will be there
>> "for free" to any user of the autotools.  Builds just get magically faster.
> 
> Given the source changes needed to leverage PCH, I suspect it'll take
> a bit of maintainer involvement to enable useful PCH support in each
> package.
> 
>> There's a monkey wrench, in that PCH doesn't work well if you don't organize
>> your header files to take advantage of it.  Say you have a program with 20
>> modules, and none of them have any commonality in their #include lines.  PCH
>> might make such a build *slower*.  PCH gets its biggest benefit when you can
>> make the includes as similar as possible across modules, at least up to a
>> point.
>>
>> Visual C++ avoids this trap by generating a header file for the project
>> which you're supposed to #include in every module, and in which goes
>> #includes for the most commonly used things.  (stdio.h, windows.h...) The
>> project is configured to only generate PCH output for that one header, so
>> there is none of the cache thrashing that happens in my 20-modules example.
>>
>> I'm sure you care nothing for Visual C++, but most of the people begging for
>> PCH support are probably coming from this world.
> 
> Another monkey wrench is gcc and Visual C++ have different models for
> how PCH is implemented.  Support in Automake would ideally target both
> by finding a compatible subset.  I'm sure there are existing
> open-source models that demonstrate how to use both gcc and VC
> precompiled headers.  As I recall, gcc support is a bit more generic
> but involves a separate PCH invocation to "compile" the headers, while
> VC++ requires precomp.h be the first item included in each
> participating file but doesn't require a separate compiler invocation
> -- the first one that can use the precomp.pch generates it.
> 
> The compile-time savings can be relatively huge.  Support in Automake
> would be lovely and I'd be happy to help test any patches.
> 
> Cheers,
> Dave Hart
> 





Information forwarded to bug-automake@HIDDEN:
bug#8076; Package automake. Full text available.

Message received at 8076 <at> debbugs.gnu.org:


Received: (at 8076) by debbugs.gnu.org; 23 Dec 2011 21:13:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 23 16:13:01 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ReCQH-0003hc-8P
	for submit <at> debbugs.gnu.org; Fri, 23 Dec 2011 16:13:01 -0500
Received: from mail-ee0-f44.google.com ([74.125.83.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1ReCQF-0003hV-Ad
	for 8076 <at> debbugs.gnu.org; Fri, 23 Dec 2011 16:13:00 -0500
Received: by eekc14 with SMTP id c14so9462924eek.3
	for <8076 <at> debbugs.gnu.org>; Fri, 23 Dec 2011 13:10:41 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=message-id:date:from:user-agent:mime-version:to:cc:subject
	:references:in-reply-to:x-enigmail-version:content-type
	:content-transfer-encoding;
	bh=zMbz6nAlkWhIMG978sgDm+xqR6HOqvdxuOnD8+EMmaQ=;
	b=F13bHII9ePMuezdix0ANMnyuAyrBa/1hfGPpJI9f3fUfkHBa4vzN3VNlqCrlGnMkte
	mEU9eH7OVsKp/JTjb0HEkrFvn1MNd9RhLCu5jbDN+hOuCvsZDtvv/Wi5Q/GqeZTtFW8y
	8bO3/+ryPiXTe9zWoRTYgu5ZmKqpZqb7lrYtQ=
Received: by 10.213.10.65 with SMTP id o1mr3376505ebo.86.1324674641155;
	Fri, 23 Dec 2011 13:10:41 -0800 (PST)
Received: from [87.8.100.169]
	(host169-100-dynamic.8-87-r.retail.telecomitalia.it. [87.8.100.169])
	by mx.google.com with ESMTPS id 76sm53389835eeh.0.2011.12.23.13.10.40
	(version=SSLv3 cipher=OTHER); Fri, 23 Dec 2011 13:10:40 -0800 (PST)
Message-ID: <4EF4EE48.90708@HIDDEN>
Date: Fri, 23 Dec 2011 22:10:32 +0100
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US;
	rv:1.9.2.24) Gecko/20111114 Icedove/3.1.16
MIME-Version: 1.0
To: Warren Young <warren@HIDDEN>
Subject: Re: PCH support
References: <CAGVGHmv8s00JVML--0idYO+cXmhqROu3Jvw=iYdN4cYobRQukw@HIDDEN>	<4EF4B078.6030404@HIDDEN>
	<4EF4E9E2.207@HIDDEN>
In-Reply-To: <4EF4E9E2.207@HIDDEN>
X-Enigmail-Version: 1.1.2
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 8076
Cc: 8076 <at> debbugs.gnu.org, Automake List <automake@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

On 12/23/2011 09:51 PM, Warren Young wrote:
> On 12/23/2011 9:46 AM, Stefano Lattarini wrote:
>>
>> I know basically nothing about PCH,
> 
> The only important thing to know is that it's a way to make the compiler dump
> its parse tree to disk during compilation so that it can simply reload that
> state from disk instead of rebuilding it from scratch for each module it builds.
> 
> You might think of PCH as a similar optimization to that of a bytecode compiler
> for a dynamic language: it doesn't get you native code, like you can get with a
> traditional static language, but you still get a speed benefit by avoiding
> reparsing.
> 
> PCH is most valuable with headers like STL which are commonly used across the
> program and are expensive to parse and reparse and re-reparse.
> 
>> and it seems to me that it is not
>> a feature many users would require or employ.
> 
> I think the idea is that if autoconf detects that PCH is available and
> automake generates the correct compiler commands to use it, it will be
> there "for free" to any user of the autotools.  Builds just get magically
> faster.
> 
> There's a monkey wrench, in that PCH doesn't work well if you don't 
> organize your header files to take advantage of it.  Say you have a
> program with 20 modules, and none of them have any commonality in their
> #include lines.  PCH might make such a build *slower*.  PCH gets its
> biggest benefit when you can make the includes as similar as possible
> across modules, at least up to a point.
> 
Thanks for the explanation.  With my present reply, I'm registering it in the
appropriate entry of the bug tracker, for future reference.

> Visual C++ avoids this trap by generating a header file for the project which
> you're supposed to #include in every module, and in which goes #includes for
> the most commonly used things.  (stdio.h, windows.h...) The project is
> configured to only generate PCH output for that one header, so there is none
> of the cache thrashing that happens in my 20-modules example.
> 
> I'm sure you care nothing for Visual C++,
>
Not personally, but the latest versions of automake are starting to provide
support to allow/facilitate compilation with MSVC on MSYS/MinGW (credit for
this mostly goes to Peter Rosin).  The NEWS entries from the latest 1.11.2
version of Automake contain:

  - The `compile' script now converts some options for MSVC for a better
    user experience.  Similarly, the new `ar-lib' script wraps Microsoft lib.

  - New macro AM_PROG_AR that looks for an archiver and wraps it in the new
    'ar-lib' auxiliary script if the selected archiver is Microsoft lib.

> but most of the people begging for PCH support are probably coming from
> this world.

> Bottom line, such a feature, if ever added, should probably be optional.
> 
Thanks for the tip.

Regards,
  Stefano




Information forwarded to bug-automake@HIDDEN:
bug#8076; Package automake. Full text available.

Message received at 8076 <at> debbugs.gnu.org:


Received: (at 8076) by debbugs.gnu.org; 1 Jul 2011 10:36:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 01 06:36:35 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qcb5P-0005Aj-HO
	for submit <at> debbugs.gnu.org; Fri, 01 Jul 2011 06:36:35 -0400
Received: from mail-ey0-f172.google.com ([209.85.215.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <olafvdspek@HIDDEN>) id 1Qcb5N-0005AY-UI
	for 8076 <at> debbugs.gnu.org; Fri, 01 Jul 2011 06:36:34 -0400
Received: by eye13 with SMTP id 13so1243442eye.3
	for <8076 <at> debbugs.gnu.org>; Fri, 01 Jul 2011 03:36:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:date:message-id:subject:from:to:content-type;
	bh=mA/js4Cn/zp9Mp8phlsqwqLEulqZ7+/r26n941BEfbo=;
	b=Wocv9g8EZthZqR7O+h6NLZRCbspaxUMTFlwKufx9/QeSxn8F9IqKIk89yEZ6Kqhr7j
	AfzSk9vBo/dGr5MSVGrBIC3EXSBLihHrC1kBjlVPc5FS/7oXjDNs8o4H/RJrxiZ+CNqC
	6RvCeISW+2iag/1leQHdx/B3NOrCKj9QEG5/o=
MIME-Version: 1.0
Received: by 10.14.22.7 with SMTP id s7mr956114ees.240.1309516588040; Fri, 01
	Jul 2011 03:36:28 -0700 (PDT)
Received: by 10.14.127.207 with HTTP; Fri, 1 Jul 2011 03:36:28 -0700 (PDT)
Date: Fri, 1 Jul 2011 12:36:28 +0200
Message-ID: <BANLkTimAUPSkwOzcJKNT_srdfGCw_+5AZA@HIDDEN>
Subject: Re: bug#8076: PCH support / howto
From: Olaf van der Spek <olafvdspek@HIDDEN>
To: 8076 <at> debbugs.gnu.org
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -4.8 (----)
X-Debbugs-Envelope-To: 8076
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.7 (----)

I think I found a way, at last:
BUILT_SOURCES = config.h.gch

config.h.gch: config.h
	${CXXCOMPILE} -o $@ $<


-- 
Olaf




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#8076; Package automake. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Mar 2011 11:06:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 17 07:06:00 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Q0B1j-0004uD-By
	for submit <at> debbugs.gnu.org; Thu, 17 Mar 2011 07:05:59 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <olafvdspek@HIDDEN>) id 1Q0B1h-0004tz-H2
	for submit <at> debbugs.gnu.org; Thu, 17 Mar 2011 07:05:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <olafvdspek@HIDDEN>) id 1Q0B1b-0006Is-GA
	for submit <at> debbugs.gnu.org; Thu, 17 Mar 2011 07:05:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW, T_DKIM_INVALID,
	T_TO_NO_BRKTS_FREEMAIL autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:44946)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <olafvdspek@HIDDEN>) id 1Q0B1Q-0006HC-K2
	for submit <at> debbugs.gnu.org; Thu, 17 Mar 2011 07:05:51 -0400
Received: from [140.186.70.92] (port=56628 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1Q0B1N-0007CJ-26
	for bug-automake@HIDDEN; Thu, 17 Mar 2011 07:05:38 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <olafvdspek@HIDDEN>) id 1Q0B1J-0006GL-BH
	for bug-automake@HIDDEN; Thu, 17 Mar 2011 07:05:34 -0400
Received: from mail-iy0-f169.google.com ([209.85.210.169]:64949)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <olafvdspek@HIDDEN>) id 1Q0B1J-0006FQ-83
	for bug-automake@HIDDEN; Thu, 17 Mar 2011 07:05:33 -0400
Received: by iyf13 with SMTP id 13so3374149iyf.0
	for <bug-automake@HIDDEN>; Thu, 17 Mar 2011 04:05:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:in-reply-to:references:date
	:message-id:subject:from:to:cc:content-type
	:content-transfer-encoding;
	bh=4P0zcpjbynC0K2oMBeGihy6+piTVoC6aWOTodwutao8=;
	b=vsaRPUYmJUJPtEwdkZYJ5RZsMz008ZXdNXwdBABA3F4KG0yts5aW7opKkLZE6F6XqB
	X0wtZ6BzV0hn4o6DoooH9K2R7NGoCIaSg6k48jp8gHDqQgb1xeLNPIhNLodMXpyK9bs7
	0I6AD+ZaICYx93sBqga7vNraa/G7emP9wHlt0=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type:content-transfer-encoding;
	b=kUGElMtclEf6EhKk/BeQOB0ibzx0xVhR4mrdKPGtNL3JVuWh8gUhx6vIhYNGoNnbR8
	Yj11JyG8OOt2GV5dcjPr0YSLHoo+PkGI0SE8uhjicqV+IKISRN54F1lU//OWoVatvTOG
	4cU0xp64VIRDlTHNwF5+NzHKPu/L6OScXTF4E=
MIME-Version: 1.0
Received: by 10.43.50.67 with SMTP id vd3mr1632349icb.511.1300359931543; Thu,
	17 Mar 2011 04:05:31 -0700 (PDT)
Received: by 10.42.218.73 with HTTP; Thu, 17 Mar 2011 04:05:31 -0700 (PDT)
In-Reply-To: <AANLkTikQGifMgxvSneap2YLnCNu6DAAgqGveXE-6J0-G@HIDDEN>
References: <AANLkTimVmFWA6w8NsCJG-b-dhFW57NK=xO5gYaKGtz1x@HIDDEN>
	<AANLkTi=fzWMcn4UPA_Xizcnt+VER6MO3szwBLiW+wNj4@HIDDEN>
	<20110227120853.GE19328@HIDDEN>
	<AANLkTimvZpSd40O1Dkz+0VVdOEt-T9a6MvbPH4R+KLfF@HIDDEN>
	<AANLkTikQGifMgxvSneap2YLnCNu6DAAgqGveXE-6J0-G@HIDDEN>
Date: Thu, 17 Mar 2011 12:05:31 +0100
Message-ID: <AANLkTinOmaBbB0XOdgkzfmFLjPpqSWKv9b6knaaOMAuT@HIDDEN>
Subject: Re: bug#8076: PCH support / howto
From: Olaf van der Spek <olafvdspek@HIDDEN>
To: bug-automake@HIDDEN
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Received-From: 199.232.76.165
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: submit
Cc: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

On Thu, Mar 3, 2011 at 4:41 PM, Olaf van der Spek <olafvdspek@HIDDEN> wr=
ote:
> On Sun, Feb 27, 2011 at 7:01 PM, Olaf van der Spek <olafvdspek@HIDDEN>=
 wrote:
>> On Sun, Feb 27, 2011 at 1:08 PM, Ralf Wildenhues <Ralf.Wildenhues@HIDDEN=
> wrote:
>>> I will probably not hack on this myself (both due to time constraints
>>> and IMVHO limited portability/usefulness of PCH), but if somebody else
>>
>> PCH is IMO very valuable. GCC, ICC and MSVC support it, I'm not sure
>> about other compilers.
>> I've read your concerns, but I think they're not an issue.
>>
>>> wants to pursue it, I'd help. =C2=A0The above discussions can give some
>>> insight into the issues around this.
>>>
>>> Hope this helps. =C2=A0If you have a good solution, even if it's just f=
or
>>> your project, feel free to post it here; we can link to it from the
>>> FAQ or so, or even put it in the manual if it is sufficiently general.
>>
>> It would be nice to add PCH support to the Hello World example. I
>> think this requires two steps:
>> 1. Compile config.h into config.h.gch
>> 2. Add config.h.gch as a dependency to all source files.
>>
>> Could you (or someone else) help me with those? I've got no experience
>> with automake but I assume they're trivial for someone with
>> experience.
>
> Somebody?

Anybody? Please?


--=20
Olaf




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#8076; Package automake. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Mar 2011 15:41:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 03 10:41:42 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PvAes-0004as-8N
	for submit <at> debbugs.gnu.org; Thu, 03 Mar 2011 10:41:42 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <olafvdspek@HIDDEN>) id 1PvAep-0004af-4e
	for submit <at> debbugs.gnu.org; Thu, 03 Mar 2011 10:41:39 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <olafvdspek@HIDDEN>) id 1PvAed-0000gh-K2
	for submit <at> debbugs.gnu.org; Thu, 03 Mar 2011 10:41:34 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW,T_DKIM_INVALID autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:55785)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <olafvdspek@HIDDEN>) id 1PvAed-0000gX-H0
	for submit <at> debbugs.gnu.org; Thu, 03 Mar 2011 10:41:27 -0500
Received: from [140.186.70.92] (port=36322 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1PvAeY-0007xi-H2
	for bug-automake@HIDDEN; Thu, 03 Mar 2011 10:41:27 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <olafvdspek@HIDDEN>) id 1PvAeT-0000dZ-IC
	for bug-automake@HIDDEN; Thu, 03 Mar 2011 10:41:22 -0500
Received: from mail-bw0-f41.google.com ([209.85.214.41]:42577)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <olafvdspek@HIDDEN>) id 1PvAeT-0000dP-Cz
	for bug-automake@HIDDEN; Thu, 03 Mar 2011 10:41:17 -0500
Received: by bwz17 with SMTP id 17so1459153bwz.0
	for <bug-automake@HIDDEN>; Thu, 03 Mar 2011 07:41:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:in-reply-to:references:date
	:message-id:subject:from:to:cc:content-type
	:content-transfer-encoding;
	bh=oHB1bW7O7txDVEDPAAfT/WCXbPggejTy0TEoBWIAiok=;
	b=xfqJT0y/8TAflniqFR8k3NzctDvpIFKMAOOEUQSzVogXxhGi9AKvYgjzcPUsouTUZE
	pI6EKjh1/3GJRg6VDKIyGukJEza9M/chWNT6BJAhVctANvA8zLPdYzkGRJHnQzZW6hBb
	5v97UuHsehMf0ivIku4PtCr6TS9Azb3rnpWpk=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type:content-transfer-encoding;
	b=RXxesCH5kc19hC0IfqkqUSVovyjCW+xPrCOfp5YeMmE1Qa9+7fHd1kpcPCrjjxZ4bW
	uuM8UeXytK+I7NOiHO0O97XS8U0577U6aXb7RieN1U5jQ8sh6tha30UQm3VsBHvTQEMf
	Lu/6H8w1llDX5yJwDrlvz3OxHgNhJfWqQ89Z4=
MIME-Version: 1.0
Received: by 10.204.117.10 with SMTP id o10mr1630587bkq.10.1299166876016; Thu,
	03 Mar 2011 07:41:16 -0800 (PST)
Received: by 10.204.47.97 with HTTP; Thu, 3 Mar 2011 07:41:15 -0800 (PST)
In-Reply-To: <AANLkTimvZpSd40O1Dkz+0VVdOEt-T9a6MvbPH4R+KLfF@HIDDEN>
References: <AANLkTimVmFWA6w8NsCJG-b-dhFW57NK=xO5gYaKGtz1x@HIDDEN>
	<AANLkTi=fzWMcn4UPA_Xizcnt+VER6MO3szwBLiW+wNj4@HIDDEN>
	<20110227120853.GE19328@HIDDEN>
	<AANLkTimvZpSd40O1Dkz+0VVdOEt-T9a6MvbPH4R+KLfF@HIDDEN>
Date: Thu, 3 Mar 2011 16:41:15 +0100
Message-ID: <AANLkTikQGifMgxvSneap2YLnCNu6DAAgqGveXE-6J0-G@HIDDEN>
Subject: Re: bug#8076: PCH support / howto
From: Olaf van der Spek <olafvdspek@HIDDEN>
To: Olaf van der Spek <olafvdspek@HIDDEN>, bug-automake@HIDDEN
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Received-From: 199.232.76.165
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: submit
Cc: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

On Sun, Feb 27, 2011 at 7:01 PM, Olaf van der Spek <olafvdspek@HIDDEN> w=
rote:
> On Sun, Feb 27, 2011 at 1:08 PM, Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>=
 wrote:
>> I will probably not hack on this myself (both due to time constraints
>> and IMVHO limited portability/usefulness of PCH), but if somebody else
>
> PCH is IMO very valuable. GCC, ICC and MSVC support it, I'm not sure
> about other compilers.
> I've read your concerns, but I think they're not an issue.
>
>> wants to pursue it, I'd help. =C2=A0The above discussions can give some
>> insight into the issues around this.
>>
>> Hope this helps. =C2=A0If you have a good solution, even if it's just fo=
r
>> your project, feel free to post it here; we can link to it from the
>> FAQ or so, or even put it in the manual if it is sufficiently general.
>
> It would be nice to add PCH support to the Hello World example. I
> think this requires two steps:
> 1. Compile config.h into config.h.gch
> 2. Add config.h.gch as a dependency to all source files.
>
> Could you (or someone else) help me with those? I've got no experience
> with automake but I assume they're trivial for someone with
> experience.

Somebody?

--=20
Olaf




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#8076; Package automake. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Feb 2011 18:01:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 27 13:01:41 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ptkw8-0004c8-OD
	for submit <at> debbugs.gnu.org; Sun, 27 Feb 2011 13:01:40 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <olafvdspek@HIDDEN>) id 1Ptkw6-0004bv-LN
	for submit <at> debbugs.gnu.org; Sun, 27 Feb 2011 13:01:39 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <olafvdspek@HIDDEN>) id 1Ptkvw-0005zJ-JB
	for submit <at> debbugs.gnu.org; Sun, 27 Feb 2011 13:01:33 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW,T_DKIM_INVALID autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:57026)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <olafvdspek@HIDDEN>) id 1Ptkvw-0005zE-B1
	for submit <at> debbugs.gnu.org; Sun, 27 Feb 2011 13:01:28 -0500
Received: from [140.186.70.92] (port=42586 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1Ptkvr-0003GD-CP
	for bug-automake@HIDDEN; Sun, 27 Feb 2011 13:01:28 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <olafvdspek@HIDDEN>) id 1Ptkvm-0005yQ-Av
	for bug-automake@HIDDEN; Sun, 27 Feb 2011 13:01:23 -0500
Received: from mail-fx0-f41.google.com ([209.85.161.41]:41026)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <olafvdspek@HIDDEN>) id 1Ptkvm-0005yK-6W
	for bug-automake@HIDDEN; Sun, 27 Feb 2011 13:01:18 -0500
Received: by fxm5 with SMTP id 5so3667615fxm.0
	for <bug-automake@HIDDEN>; Sun, 27 Feb 2011 10:01:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:in-reply-to:references:date
	:message-id:subject:from:to:cc:content-type
	:content-transfer-encoding;
	bh=sW6E5FNdcjOidJ+lX52cYV59ruMtWfFQ3kVBF12zIbE=;
	b=mMxv3n4EZS5OfYSyVbxY9prhUcOPF/AyflWp7PlNAOvnC41y/QkOMxbA9TBn8Ifd+J
	7OqlY+W2xcKbcr/VMJIyhYFhkdvRMZH78Scw1lw+CEhzlilpMmVxvYFDBFwiDtHksFcN
	93KDgEFuixGFyGTFhXEZY1YxBrWjkHf5pqE6g=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type:content-transfer-encoding;
	b=L6Vk98Tjgokihq/hYrnf/seAUI/heUFhWFQ3FM+mj53LIBbLF6Et5nvCZAUNw7gjGK
	bs3he3VtEI0+wG3W5E1nuiSxbf+x4MTC99yqwAzw5H5fjsuZ21rXQdikHjzHtpwoVVHn
	9DrRx1YAZyr8TbZ0qdOMhWS2Q2seJtngNqfwA=
MIME-Version: 1.0
Received: by 10.223.125.196 with SMTP id z4mr5382748far.124.1298829676513;
	Sun, 27 Feb 2011 10:01:16 -0800 (PST)
Received: by 10.223.87.65 with HTTP; Sun, 27 Feb 2011 10:01:16 -0800 (PST)
In-Reply-To: <20110227120853.GE19328@HIDDEN>
References: <AANLkTimVmFWA6w8NsCJG-b-dhFW57NK=xO5gYaKGtz1x@HIDDEN>
	<AANLkTi=fzWMcn4UPA_Xizcnt+VER6MO3szwBLiW+wNj4@HIDDEN>
	<20110227120853.GE19328@HIDDEN>
Date: Sun, 27 Feb 2011 19:01:16 +0100
Message-ID: <AANLkTimvZpSd40O1Dkz+0VVdOEt-T9a6MvbPH4R+KLfF@HIDDEN>
Subject: Re: bug#8076: PCH support / howto
From: Olaf van der Spek <olafvdspek@HIDDEN>
To: Olaf van der Spek <olafvdspek@HIDDEN>, bug-automake@HIDDEN
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Received-From: 199.232.76.165
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: submit
Cc: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

On Sun, Feb 27, 2011 at 1:08 PM, Ralf Wildenhues <Ralf.Wildenhues@HIDDEN> w=
rote:
> I will probably not hack on this myself (both due to time constraints
> and IMVHO limited portability/usefulness of PCH), but if somebody else

PCH is IMO very valuable. GCC, ICC and MSVC support it, I'm not sure
about other compilers.
I've read your concerns, but I think they're not an issue.

> wants to pursue it, I'd help. =C2=A0The above discussions can give some
> insight into the issues around this.
>
> Hope this helps. =C2=A0If you have a good solution, even if it's just for
> your project, feel free to post it here; we can link to it from the
> FAQ or so, or even put it in the manual if it is sufficiently general.

It would be nice to add PCH support to the Hello World example. I
think this requires two steps:
1. Compile config.h into config.h.gch
2. Add config.h.gch as a dependency to all source files.

Could you (or someone else) help me with those? I've got no experience
with automake but I assume they're trivial for someone with
experience.

--=20
Olaf




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#8076; Package automake. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Feb 2011 12:25:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 27 07:25:54 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PtfhA-0004rj-UQ
	for submit <at> debbugs.gnu.org; Sun, 27 Feb 2011 07:25:53 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <Ralf.Wildenhues@HIDDEN>) id 1Ptfh9-0004rZ-Aq
	for submit <at> debbugs.gnu.org; Sun, 27 Feb 2011 07:25:52 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <Ralf.Wildenhues@HIDDEN>) id 1PtfR6-0000Cy-02
	for submit <at> debbugs.gnu.org; Sun, 27 Feb 2011 07:09:16 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_NONE autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:34801)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <Ralf.Wildenhues@HIDDEN>) id 1PtfR5-0000Cu-TR
	for submit <at> debbugs.gnu.org; Sun, 27 Feb 2011 07:09:15 -0500
Received: from [140.186.70.92] (port=41310 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1PtfR4-0002CR-UN
	for bug-automake@HIDDEN; Sun, 27 Feb 2011 07:09:15 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <Ralf.Wildenhues@HIDDEN>) id 1PtfR2-0000CQ-Pr
	for bug-automake@HIDDEN; Sun, 27 Feb 2011 07:09:14 -0500
Received: from mailout-de.gmx.net ([213.165.64.23]:56348)
	by eggs.gnu.org with smtp (Exim 4.71)
	(envelope-from <Ralf.Wildenhues@HIDDEN>) id 1PtfR2-0000BU-E4
	for bug-automake@HIDDEN; Sun, 27 Feb 2011 07:09:12 -0500
Received: (qmail invoked by alias); 27 Feb 2011 12:09:10 -0000
Received: from xdsl-89-0-91-168.netcologne.de (EHLO localhost.localdomain)
	[89.0.91.168]
	by mail.gmx.net (mp025) with SMTP; 27 Feb 2011 13:09:10 +0100
X-Authenticated: #13673931
X-Provags-ID: V01U2FsdGVkX1+hS78UfYihH3JkeNHXlcL/vg5JUSXM/iGo/NezS+
	COcoTrNbahptrA
Received: from ralf by localhost.localdomain with local (Exim 4.72)
	(envelope-from <Ralf.Wildenhues@HIDDEN>)
	id 1PtfQj-0005BA-7O; Sun, 27 Feb 2011 13:08:53 +0100
Date: Sun, 27 Feb 2011 13:08:53 +0100
From: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
To: Olaf van der Spek <olafvdspek@HIDDEN>
Subject: Re: bug#8076: PCH support / howto
Message-ID: <20110227120853.GE19328@HIDDEN>
Mail-Followup-To: Olaf van der Spek <olafvdspek@HIDDEN>,
	bug-automake@HIDDEN
References: <AANLkTimVmFWA6w8NsCJG-b-dhFW57NK=xO5gYaKGtz1x@HIDDEN>
	<AANLkTi=fzWMcn4UPA_Xizcnt+VER6MO3szwBLiW+wNj4@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <AANLkTi=fzWMcn4UPA_Xizcnt+VER6MO3szwBLiW+wNj4@HIDDEN>
Organization: Institute for Numerical Simulation, University of Bonn
User-Agent: Mutt/1.5.20 (2010-08-04)
X-Y-GMX-Trusted: 0
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Received-From: 199.232.76.165
X-Spam-Score: -4.5 (----)
X-Debbugs-Envelope-To: submit
Cc: bug-automake@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.5 (----)

severity 8076 wishlist
thanks

Hello Olaf,

* Olaf van der Spek wrote on Thu, Feb 24, 2011 at 12:53:19PM CET:
> > I just read http://sources.redhat.com/automake/automake.html#Examples
> > but didn't find anything on PCH.
> > Would it be possible to include a 'Hello World' style use of PCH?
> 
> Somebody?

Automake does not currently provide support for PCH out of the box.
Sorry.  There have been several discussions about this on the automake
lists.  Let me point to some informative posts:

http://thread.gmane.org/gmane.comp.sysutils.automake.general/5467/focus=5504
http://thread.gmane.org/gmane.comp.sysutils.automake.general/11619/focus=11628
http://thread.gmane.org/gmane.comp.sysutils.automake.general/3098/focus=3108
http://thread.gmane.org/gmane.comp.sysutils.automake.general/4099

I will probably not hack on this myself (both due to time constraints
and IMVHO limited portability/usefulness of PCH), but if somebody else
wants to pursue it, I'd help.  The above discussions can give some
insight into the issues around this.

Hope this helps.  If you have a good solution, even if it's just for
your project, feel free to post it here; we can link to it from the
FAQ or so, or even put it in the manual if it is sufficiently general.

Thanks,
Ralf




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#8076; Package automake. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Ralf Wildenhues <Ralf.Wildenhues@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Feb 2011 11:53:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 24 06:53:35 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PsZlH-0002ar-3s
	for submit <at> debbugs.gnu.org; Thu, 24 Feb 2011 06:53:35 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <olafvdspek@HIDDEN>) id 1PsZlD-0002ac-Tn
	for submit <at> debbugs.gnu.org; Thu, 24 Feb 2011 06:53:32 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <olafvdspek@HIDDEN>) id 1PsZl8-00011Q-7A
	for submit <at> debbugs.gnu.org; Thu, 24 Feb 2011 06:53:26 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW, T_DKIM_INVALID,
	T_TO_NO_BRKTS_FREEMAIL autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:54026)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <olafvdspek@HIDDEN>) id 1PsZl8-00011M-4z
	for submit <at> debbugs.gnu.org; Thu, 24 Feb 2011 06:53:26 -0500
Received: from [140.186.70.92] (port=34400 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1PsZl7-0008OT-8e
	for bug-automake@HIDDEN; Thu, 24 Feb 2011 06:53:26 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <olafvdspek@HIDDEN>) id 1PsZl5-00010Q-Sx
	for bug-automake@HIDDEN; Thu, 24 Feb 2011 06:53:24 -0500
Received: from mail-bw0-f41.google.com ([209.85.214.41]:42458)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <olafvdspek@HIDDEN>) id 1PsZl5-00010C-Kt
	for bug-automake@HIDDEN; Thu, 24 Feb 2011 06:53:23 -0500
Received: by bwz17 with SMTP id 17so1141401bwz.0
	for <bug-automake@HIDDEN>; Thu, 24 Feb 2011 03:53:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:in-reply-to:references:date
	:message-id:subject:from:to:content-type;
	bh=IPR2nBQ0wA9qp1IelxTRdZv+vimvQcI+wLO4rIdYX3Y=;
	b=nEnL6xSDgFQffSVBwQqEVXujyCmYr7zeL/uWd7dcHyG6O+vGMSkfEVdfFe8BOecGGM
	OppuqVbu+q3ZaYL0htxQcN3FsBCp9hhqsbcKDGpFfvetAclLiQMqyh1sTl0Bi/WH4jfq
	5wF+cMz16FD8+ZH447zYY7mLb28gUuulgym3w=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:content-type;
	b=RiOrilIRptYKno/E1l8tDz9OSLB/RAjPfRa+K6ILtOJm7DSR+IrP/DsUsK2rEpeLZe
	ScVKgJXQuw8uzc6nZ75KFCvE6mfquW+MM3Wf4FXkZGxvL5Wg1mGnSwZ3ik3L5oaZwCYR
	RQ8PsoW4Vch2T/5t2vIWERluZIraF6E3P2eLY=
MIME-Version: 1.0
Received: by 10.204.179.203 with SMTP id br11mr633548bkb.178.1298548399909;
	Thu, 24 Feb 2011 03:53:19 -0800 (PST)
Received: by 10.204.47.97 with HTTP; Thu, 24 Feb 2011 03:53:19 -0800 (PST)
In-Reply-To: <AANLkTimVmFWA6w8NsCJG-b-dhFW57NK=xO5gYaKGtz1x@HIDDEN>
References: <AANLkTimVmFWA6w8NsCJG-b-dhFW57NK=xO5gYaKGtz1x@HIDDEN>
Date: Thu, 24 Feb 2011 12:53:19 +0100
Message-ID: <AANLkTi=fzWMcn4UPA_Xizcnt+VER6MO3szwBLiW+wNj4@HIDDEN>
Subject: Re: PCH support / howto
From: Olaf van der Spek <olafvdspek@HIDDEN>
To: bug-automake@HIDDEN
Content-Type: text/plain; charset=UTF-8
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Received-From: 199.232.76.165
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

On Fri, Feb 18, 2011 at 1:58 PM, Olaf van der Spek <olafvdspek@HIDDEN> wrote:
> Hi,
>
> I just read http://sources.redhat.com/automake/automake.html#Examples
> but didn't find anything on PCH.
> Would it be possible to include a 'Hello World' style use of PCH?

Somebody?
-- 
Olaf




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#8076; Package automake. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Feb 2011 14:07:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 18 09:07:14 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PqQzK-0004nb-4Q
	for submit <at> debbugs.gnu.org; Fri, 18 Feb 2011 09:07:14 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <olafvdspek@HIDDEN>) id 1PqPuw-0003Gr-Q9
	for submit <at> debbugs.gnu.org; Fri, 18 Feb 2011 07:58:39 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <olafvdspek@HIDDEN>) id 1PqPur-0001C3-4L
	for submit <at> debbugs.gnu.org; Fri, 18 Feb 2011 07:58:33 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW, T_DKIM_INVALID,
	T_TO_NO_BRKTS_FREEMAIL autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:33819)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <olafvdspek@HIDDEN>) id 1PqPur-0001Bz-2X
	for submit <at> debbugs.gnu.org; Fri, 18 Feb 2011 07:58:33 -0500
Received: from [140.186.70.92] (port=35560 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1PqPup-0002xd-VW
	for bug-automake@HIDDEN; Fri, 18 Feb 2011 07:58:32 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <olafvdspek@HIDDEN>) id 1PqPup-0001BZ-2h
	for bug-automake@HIDDEN; Fri, 18 Feb 2011 07:58:31 -0500
Received: from mail-bw0-f41.google.com ([209.85.214.41]:38417)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <olafvdspek@HIDDEN>) id 1PqPuo-0001BN-Tp
	for bug-automake@HIDDEN; Fri, 18 Feb 2011 07:58:31 -0500
Received: by bwz16 with SMTP id 16so3599841bwz.0
	for <bug-automake@HIDDEN>; Fri, 18 Feb 2011 04:58:26 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:date:message-id:subject:from:to
	:content-type; bh=7GeOY9EPVWE2qa8PSyi2KyD3HgrSH/QVGBrK7TDP+xA=;
	b=jQaME9FNwgPXXOewf/ZLE4kadhmYuRhMDPGPefA3dL7xUIc7jCP+ks4J9HMxE+w1x/
	O4+r9oyXP1ftekyosA8sm7krCewIwHNaK+SjHzuMBL381P2O9iW6w8uyRWAC6vsDkqC3
	UPvSDciqro2c/BbZb3obxTJHnwrXn2d8OovtM=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:date:message-id:subject:from:to:content-type;
	b=SU1YiJdDZ4t/poI5HCjnhv3iONqzF5aevkBqsJMbxIRJ8i72g8lGFlYbbOK9xM6ucD
	0fqjLjJLwIGTMwdHBRTJd8/Q5wbXqvIpU5zWSrWtVQnkg8efP4OE7vHm9nAT3aEf8TwB
	isoAbsqfLXakr9oTeg8ct3gCvYCuKnvVrImsM=
MIME-Version: 1.0
Received: by 10.204.4.212 with SMTP id 20mr615064bks.172.1298033905996; Fri,
	18 Feb 2011 04:58:25 -0800 (PST)
Received: by 10.204.47.97 with HTTP; Fri, 18 Feb 2011 04:58:25 -0800 (PST)
Date: Fri, 18 Feb 2011 13:58:25 +0100
Message-ID: <AANLkTimVmFWA6w8NsCJG-b-dhFW57NK=xO5gYaKGtz1x@HIDDEN>
Subject: PCH support / howto
From: Olaf van der Spek <olafvdspek@HIDDEN>
To: bug-automake@HIDDEN
Content-Type: text/plain; charset=UTF-8
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Received-From: 199.232.76.165
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 18 Feb 2011 09:07:13 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

Hi,

I just read http://sources.redhat.com/automake/automake.html#Examples
but didn't find anything on PCH.
Would it be possible to include a 'Hello World' style use of PCH?

-- 
Olaf




Acknowledgement sent to Olaf van der Spek <olafvdspek@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-automake@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#8076; Package automake. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.